#pragma once

#include "node.hpp"

#include "util/enums.hpp"
#include "util/grade_boundary.hpp"

struct DynexiteExam;
struct UserPointConfig;

template <GradingType Grading>
struct ChangedMaxPoints : Node<UserPointConfig, DynexiteExam> {
    using Node<UserPointConfig, DynexiteExam>::Node;

    void recalculate();
    void setFollowDefault(bool followDefault = true) noexcept;
    void setMax(const GradeBoundary &maxPointBoundary) noexcept;

    GradeBoundary mOriginalMaxPointBoundary{};
    GradeBoundary mChangedMaxPointBoundary{};
    bool mFollowDefault = true;

private:
    Points mChangedMaxPoints{};

    void clampMaxBoundary() noexcept;
};
