#pragma once

#include "grade_boundary_step.hpp"

namespace defaults {

/** \brief Default grade boundary rounding  */
inline constexpr GradeBoundaryRounding boundaryRounding =
    GradeBoundaryRounding::Down;

/** \brief Default grade boundary rounding  */
inline constexpr GradeBoundaryStepSize boundaryStepSize =
    GradeBoundaryStepSize::Min1_00;

/** \brief Whether to show an option to change grade boundary rounding. */
inline constexpr bool showRoundingSetting = false;

//-----------------------------------------------------------------------

/** \brief Count students with attempt nr 0 as if it were their first attempt */
inline constexpr bool countZerothAttemptAsFirstAttempt = false;

/** \brief Require passing both open and closed part to pass the exam. */
inline constexpr bool requirePassAllParts = false;

//-----------------------------------------------------------------------

/** \brief Maximum selectable open points passing limit. */
inline constexpr double openPointsPassingLimit = 0.6;

/** \brief Starting/Default value for the open points passing limit. */
inline constexpr double openPointsStartingPassingLimit = 0.5;

//-----------------------------------------------------------------------

/** \brief Minimum settable point histogram bucket size. */
inline constexpr double minBucketSize = 0.25;
/** \brief Maximum settable point histogram bucket size. */
inline constexpr double maxBucketSize = 5.;
/** \brief Point histogram bucket size selector step size. */
inline constexpr double bucketStep = 0.25;

} // namespace defaults
