/**
 * \file input_tab_bgk.cpp
 */

#include "input_tab_bgk.hpp"

#include "util/enums.hpp"

InputTabBgk::InputTabBgk(QWidget *parent)
    : InputTabBase(parent), mBgkFileView(FileType::bgk) {

    mMainLayout.addWidget(&mBgkFileView);

    connect(&mBgkFileView, &LoadFileView::modelChange, this,
            &InputTabBgk::fileSelectChange);
}

void InputTabBgk::fileSelectChange() {

    // update clickability of import button
    mImportButton.setEnabled(mBgkFileView.mFileState == FileSelectState::ok);
}
