/**
 * \file input_tab_bgk.hpp
 */

#pragma once

#include "input_tab_base.hpp"
#include "load_file_view.hpp"

enum class FileSelectState;

/**
 * \brief Tab that lets the user select bgk input files.
 *
 * BGK files are our own file format consisting of the original csv input files
 * and all changes to grade boundaries etc.
 */
class InputTabBgk : public InputTabBase {
    Q_OBJECT

public:
    explicit InputTabBgk(QWidget *parent = nullptr);

private slots:
    /**
     * \brief A file was selected.
     */
    void fileSelectChange();

private:
    /** \brief View-object that displays the selected file and its status. */
    LoadFileView mBgkFileView;
};
