#pragma once

#include "view/main_window/grade_histogram.hpp"
#include "view/main_window/min_max_point_screws.hpp"
#include "view/main_window/point_histogram.hpp"
#include "view/main_window/stat_window.hpp"

#include <QGridLayout>
#include <QWidget>

#include <array>

class ViewSettingsWindow;
class QTabWidget;

class GradeTab : public QWidget {
    Q_OBJECT

public:
    explicit GradeTab(const ViewSettingsWindow &viewSettings,
                      QWidget *parent = nullptr);

    void handleResize() const;

public slots:
    void pointsChanged();

private:
    void createGradeHistograms();
    void createPointHistograms(const ViewSettingsWindow &viewSettings);

private:
    MinMaxPointScrews *mScrews;
    StatWindow mStatWindow;

    QTabWidget *mGradeHistoTabs;
    std::array<GradeHistogram *, 4> mGradeHistos;

    QTabWidget *mPointHistoTabs;
    std::array<PointHistogram *, 3> mPointHistos;

    QGridLayout *mLayout;

    FRIEND_TEST(GuiDagTest, IntegrationTest);
    friend class GuiDagTest;
};
