#pragma once

#include "util/grade_boundary_step.hpp"

#include <QDoubleSpinBox>
#include <QHBoxLayout>

class ViewSettingsWindow : public QWidget {
    Q_OBJECT

public:
    explicit ViewSettingsWindow(QWidget *parent = nullptr);

signals:
    void pointHistoBucketSizeChanged(double newBucketSize);

private slots:
    void pointsChanged();
    void bucketSizeChanged(double d);

private:
    QDoubleSpinBox mPointHistogramBucketSize{};
    QHBoxLayout mLayout;

    double mCurrentBucketSize;

    friend class GuiDagTest;
};
